> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List persisted user edits for an app

> List all active edits (rename, content, delete) for the app.

Scoped to the tree only for URL consistency with other tree endpoints —
edits are app-scoped, so the same list is returned regardless of
which tree_id is passed (as long as it belongs to the app).



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /context-documents/tree/{tree_id}/edits
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /context-documents/tree/{tree_id}/edits:
    get:
      tags:
        - Context Documents
      summary: List persisted user edits for an app
      description: |-
        List all active edits (rename, content, delete) for the app.

        Scoped to the tree only for URL consistency with other tree endpoints —
        edits are app-scoped, so the same list is returned regardless of
        which tree_id is passed (as long as it belongs to the app).
      operationId: list_tree_edits_context_documents_tree__tree_id__edits_get
      parameters:
        - name: tree_id
          in: path
          required: true
          schema:
            type: string
            title: Tree Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    EditsListResponse:
      properties:
        edits:
          items:
            $ref: '#/components/schemas/TreeEditResponse'
          type: array
          title: Edits
      type: object
      required:
        - edits
      title: EditsListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TreeEditResponse:
      properties:
        id:
          type: integer
          title: Id
        path:
          type: string
          title: Path
        edit_kind:
          type: string
          title: Edit Kind
        original_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Path
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        llm_baseline:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Baseline
        reviewed_baseline:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed Baseline
        weight:
          type: number
          title: Weight
        age_days:
          type: number
          title: Age Days
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        author_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author User Id
      type: object
      required:
        - id
        - path
        - edit_kind
        - original_path
        - content
        - llm_baseline
        - reviewed_baseline
        - weight
        - age_days
        - created_at
        - updated_at
        - author_user_id
      title: TreeEditResponse
      description: A single persisted edit — fuels the "Your edits" dashboard tab.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````